D-Bus 1.14.10

dbus-pipe.c
1/* -*- mode: C; c-file-style: "gnu"; indent-tabs-mode: nil; -*- */
2/* dbus-pipe.c pipe implementation (internal to D-Bus implementation)
3 *
4 * Copyright (C) 2002, 2003, 2006 Red Hat, Inc.
5 * Copyright (C) 2003 CodeFactory AB
6 *
7 * Licensed under the Academic Free License version 2.1
8 *
9 * This program is free software; you can redistribute it and/or modify
10 * it under the terms of the GNU General Public License as published by
11 * the Free Software Foundation; either version 2 of the License, or
12 * (at your option) any later version.
13 *
14 * This program is distributed in the hope that it will be useful,
15 * but WITHOUT ANY WARRANTY; without even the implied warranty of
16 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
17 * GNU General Public License for more details.
18 *
19 * You should have received a copy of the GNU General Public License
20 * along with this program; if not, write to the Free Software
21 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
22 *
23 */
24
25#include <config.h>
26#include "dbus-pipe.h"
27
28/*
29 * init a pipe instance.
30 *
31 * @param pipe the pipe
32 * @param fd the file descriptor to init from
33 */
34 void
35_dbus_pipe_init (DBusPipe *pipe,
36 int fd)
37{
38 pipe->fd = fd;
39}
40
46 void
47_dbus_pipe_init_stdout (DBusPipe *pipe)
48{
49 _dbus_pipe_init (pipe, 1);
50}
51
59dbus_bool_t
60_dbus_pipe_is_valid(DBusPipe *pipe)
61{
62 return pipe->fd >= 0;
63}
64
71dbus_bool_t
72_dbus_pipe_is_stdout_or_stderr (DBusPipe *pipe)
73{
74 return pipe->fd == 1 || pipe->fd == 2;
75}
76
81 void
82_dbus_pipe_invalidate (DBusPipe *pipe)
83{
84 pipe->fd = -1;
85}
DBusPipe
Definition dbus-pipe.h:41